跳转到主要内容
系统管理/用户配置相关接口
GETUser Configuration起始版本 0.6同步需要认证

查询配额

查询配额

调试可用性

在线调试

使用当前认证信息和示例参数提交 Mock 请求。

请求参数

此接口无需请求参数。

响应状态

200 OK

该 API 成功时返回以下响应结构。

  • successboolean必填

    操作是否成功。

  • errorErrorCode必填

    错误码,若不为null,则表示操作失败, 操作成功时该字段为null。 详情参考error

    • codeString必填

      错误码号,错误的全局唯一标识,例如SYS.1000, HOST.1001

    • descriptionString必填

      错误的概要描述

    • detailsString必填

      错误的详细信息

    • elaborationString必填

      保留字段,默认为null

    • opaqueLinkedHashMap必填

      保留字段,默认为null

    • causeErrorCode必填

      根错误,引发当前错误的源错误,若无原错误,该字段为null

  • inventoriesList必填

    详情参考inventories

    • nameString必填

      资源名称

    • identityUuidString必填

      身份UUID(账户UUID,用户UUID)

    • identityTypeString必填

      身份类型(账户,用户)

    • valueLong必填

      默认配额值

    • lastOpDateTimestamp必填

      最后一次修改时间

    • createDateTimestamp必填

      创建时间

请求地址

GET/zstack/v1/accounts/quotas

/zstack/v1/accounts/quotas

操作 ID

QueryQuota

永久链接

请求示例

curl -X GET 'http://{host}/zstack/v1/accounts/quotas' -H 'Authorization: OAuth {sessionUuid}'

响应示例

200
{ "inventories": [ { "name": "quota", "identityUuid": "b30cc832a5493fe2a6184a78fc20c410", "value": 20 } ] }

变更历史

此 API 暂无变更历史记录。

查看全部变更历史